jQuery(document).ready(function() {
// PEDIDOS 

	var ultimo_id = $("#ultimo_id").val();

	// Utilizo para saber que en que columna voy a poner el ver mapa y de que columna saco ver mapa
	// de los datos exportados en pdf y cvs. Estas columnas varian por el tipo de LJ que se usa.
	if(ultimo_id == 3)
	{
		columna_id = 8;
		mComlums = [0,1,2,3,4,5,6,7,9,10,12,14,15];
	}
	else if(ultimo_id == 2)
	{
		columna_id = 7;
		mComlums = [0,1,2,3,4,5,6,8,9,10,11,13,14];
	}
	else
	{
		columna_id = 6;
		mComlums = [0,1,2,3,4,5,7,8,9,10,12,13];
	}
	
	var oPedidos  = $('#pedidos').dataTable( {
		"sPaginationType": "full_numbers",
		"iDisplayLength": 25,
		"sScrollX": "100%",
        "bScrollCollapse": true,           
		"sDom": '<"tbl-tools-searchbox"fl<"clear">>,<"tbl_tools"CT<"clear">>,<"table_content"t>,<"widget-bottom"ip<"clear">>',
        
		"oTableTools": {
            "sSwfPath": "../web_tools/swf/copy_cvs_xls_pdf.swf",
			"aButtons": [				
                {
                    "sExtends": "pdf",
                    "sButtonText": "Exportar a PDF",
					"sPdfOrientation": "landscape",
					"sPdfSize": "tabloid",
					"sFileName": "Monitor Web - Pedidos.pdf",
					"sTitle": "Monitor Web - Pedidos",
					"mColumns": mComlums
                },
				{
                    "sExtends": "xls",
                    "sButtonText": "Exportar a Excel",
					"sPdfOrientation": "landscape",
					"sPdfSize": "legal",
					"sFileName": "Monitor Web - Pedidos.xls",
					"sTitle": "Monitor Web - Pedidos"
                }
            ]
        },
		"aoColumnDefs": [ {
			  "aTargets": [ columna_id ],
			  "mData": [ columna_id ],
			  "mRender": function ( data, type, full ) {			  
				return '<a style="cursor:pointer" onclick="ver_mapa(\''+data+'\');">Ver mapa</a>';
			  }
			}
		]
	});

    
	 $("#filtrarBtn_pedidos").click(function()
	{
		retValue = true;
		var ultimo_id = document.getElementById('ultimo_id').value;	
		
		if(ultimo_id == 2)
		{
			if($('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#ditritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#ditritos_form").addClass('has-error');
				retValue = false;
			}
		}
		
		if(ultimo_id == 3)
		{
			if($('#distritos').val())
			{
				$("#distritos_label" ).html( "Distritos" ).removeClass('error');
				$("#ditritos_form").removeClass('has-error');
			}
			else
			{
				$("#distritos_label").html( "Distritos - Campo Obligatorio." ).addClass('error');
				$("#ditritos_form").addClass('has-error');
				retValue = false;
			}
			
			if($('#zonas').val())
			{
				$("#zonas_label" ).html( "Zonas" ).removeClass('error');
				$("#zonas_form").removeClass('has-error');
			}
			else
			{
				$("#zonas_label").html( "Zonas - Campo Obligatorio." ).addClass('error');
				$("#zonas_form").addClass('has-error');
				retValue = false;
			}
		}
		
		if(!retValue)
			return false;
		
		$('#loader').removeClass('hide');
		var indice = document.getElementById('numero_dispositivo_movil').selectedIndex;
			var numero_dispositivo_movil = document.getElementById('numero_dispositivo_movil').options[indice].value;
			if(numero_dispositivo_movil == '-1')
				numero_dispositivo_movil = 'null';
			if (numero_dispositivo_movil != 'null')
		{
			numero_dispositivo_movil = "'"+numero_dispositivo_movil+"'";
		}
				
		var indice1 = document.getElementById('nombre_operador_movil').selectedIndex;
			var nombre_operador_movil = document.getElementById('nombre_operador_movil').options[indice1].value;
			if(nombre_operador_movil == '-1')
				nombre_operador_movil = 'null';		
			if (nombre_operador_movil != 'null')
		{
			nombre_operador_movil = "'"+nombre_operador_movil+"'";
		}		

		var ultimo_id = document.getElementById('ultimo_id').value;	
		
		if(ultimo_id == 1)
		{
			var seleccionado = [];
			$('#sucursales option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
			});
			var sucursales = JSON.stringify(seleccionado);
			var distritos = 'null';
			var zonas ='null';	
		}
		else if(ultimo_id == 2)
		{
			var seleccionado = [];
			$('#distritos option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
			});
			var sucursales = 'null';
			var distritos = JSON.stringify(seleccionado);
			var zonas ='null';	
		}
		else
		{
			var seleccionado = [];
			$('#zonas option:selected').each(function() {
			seleccionado.push($(this).attr('value'));
			});
			var sucursales = 'null';
			var distritos = 'null';
			var zonas =JSON.stringify(seleccionado);	
		}
				
		var fecha_entrega_desde = document.getElementById('fecha_entrega_desde_hidden').value;	
		if (fecha_entrega_desde != 'null')
		{
			fecha_entrega_desde = "'"+fecha_entrega_desde+"'";
		}
		
		var fecha_entrega_hasta = document.getElementById('fecha_entrega_hasta_hidden').value;	
		if (fecha_entrega_hasta != 'null')
		{
			fecha_entrega_hasta = "'"+fecha_entrega_hasta+"'";
		}
		
		var fecha_desde = document.getElementById('fecha_desde_hidden').value;	
		var fecha_hasta = document.getElementById('fecha_hasta_hidden').value;
		
		var indice2 = document.getElementById('clientes').selectedIndex;
			var cliente = document.getElementById('clientes').options[indice2].value;
			if(cliente == -1)
				cliente = 'null';
		if (cliente != 'null')
		{
			cliente = "'"+cliente+"'";
		}
				
		var chk_diferido = document.getElementById('diferido').checked;
		var diferido;
		if(chk_diferido)
		{
			diferido=1;
		}else
		{
			diferido='null';
		}	
		
		oPedidos.fnReloadAjax('Modules/pedidos/libreria_general.php?case=3&fecha_desde='+fecha_desde
																		+'&fecha_hasta='+fecha_hasta
																		+'&fecha_entrega_desde='+fecha_entrega_hasta
																		+'&fecha_entrega_hasta='+fecha_entrega_hasta
																		+'&diferido='+diferido
																		+'&sucursales='+sucursales
																		+'&distritos='+distritos
																		+'&zonas='+zonas
																		+'&nombre_operador_movil='+nombre_operador_movil
																		+'&numero_dispositivo_movil='+numero_dispositivo_movil
																		+'&cliente='+cliente
																		+'&ultimo_id='+ultimo_id);

		$('#loader').addClass('hide');

	});
});



function ajaxs()
{
	var xmlhttp=false;
	try 
	{
		xmlhttp = new ActiveXObject('Msxml2.XMLHTTP');
	}
 	catch (e) 
	{
		try 
		{
			xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
		}
 		catch (E) 
		{
			xmlhttp = false;
		}
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') 
	{
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function distritos()
{
	var $select_distritos = $('#distritos'); 
	var $select_zonas = $('#zonas'); 
	
	var seleccionado = [];
	$('#sucursales option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var sucursales = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/eventos/libreria_general.php?case=1&sucursales='+sucursales, function(data){
 
      //eliminamos todos los 
      $select_distritos.html('');
	  $select_zonas.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_distritos.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
}

function zonas()
{
	var $select_zonas = $('#zonas'); 
	
	var seleccionado = [];
	$('#distritos option:selected').each(function() {
		seleccionado.push($(this).attr('value'));
	});
	var distritos = JSON.stringify(seleccionado);		
	
    //request the JSON data and parse into the select element
    $.getJSON('Modules/eventos/libreria_general.php?case=2&distritos='+distritos, function(data){
 
      //eliminamos todos los 
      $select_zonas.html('');
 
      //iteramos sobre cada elemento sucursal del json.
      $.each(data, function(key, val){ 
        $select_zonas.append('<option value="' + val.LocalizacionJerarquicaID + '">' + val.Descripcion + '</option>');
      })
    });
}

function ver_mapa(posicion)
{
	$('#ver_mapa').modal('show');
	setTimeout(function(){
	
		pos = posicion.split(";");
		var map_marker = new GMaps({
            div: '#gmap-marker',
            lat: pos[0],
            lng: pos[1],
			width: 800,
			height: 300
        });
        map_marker.addMarker({
            lat: pos[0],
            lng: pos[1],
            click: function(e) {
              alert('You clicked in this marker');
            }
        });			
	},500);
}